Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Name:			gnome-mime-data
Version:		2.18.0
Release:		1
Summary:		MIME type data files for GNOME desktop
License:		GPL
Group: 			Graphical Desktop/GNOME
URL:			http://www.gnome.org/
BuildRoot:		%{_tmppath}/%{name}-buildroot
Source0:		%{name}-%{version}.tar.bz2
Patch0: 		gnome-mime-data-2.2.0-openoffice.patch
Patch2: 		gnome-mime-data-2.3.2-nohtmlcomponent.patch
Patch3: 		gnome-mime-data-2.4.1-default-applications.patch
Patch4: 		gnome-mime-data-2.0.0-gimp.patch
Patch5: 		gnome-mime-data-2.4.0-OOo-startup.patch
BuildRequires: 		perl-XML-Parser
BuildRequires: 		gettext

%description
gnome-mime-data provides the file type recognition data files for gnome-vfs

%prep
%setup -q

%patch0 -p1 -b .openoffice
%patch2 -p1 -b .nohtmlcomponent
%patch3 -p1 -b .default-applications
#%patch4 -p1 -b .gimp
%patch5 -p1 -b .OOo-startup

## be sure .keys is regenerated from patched .keys.in
rm gnome-vfs.keys

## no command line apps as bindings
perl -pi -e 's/,mpg123//g' gnome-vfs.keys.in
perl -pi -e 's/mpg123//g' gnome-vfs.keys.in

%build
%configure --sysconfdir=%_sysconfdir/gnome
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m 755 -d $RPM_BUILD_ROOT%_libdir
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/gnome

mv $RPM_BUILD_ROOT%_datadir/pkgconfig $RPM_BUILD_ROOT%_libdir 
mv $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-mime-magic $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gnome-vfs-mime-magic

%find_lang %name

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog README
%config %{_sysconfdir}/gnome/gnome-vfs-mime-magic
%{_datadir}/application-registry
%{_datadir}/mime-info/*.keys
%{_datadir}/mime-info/*.mime
%{_libdir}/pkgconfig/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Mon Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.3-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.4.2-8
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.4.2-7
- rebuild, removed patch
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.4.2-6
- moved prefix
* Sun Oct 30 2005 Christian Wasem <wasem@ccux-linux.de> 2.4.2-5
- tweaked specfile, rebuild
* Fri Apr 29 2005 Christian Metzen <metzench@ccux-linux.de> 2.4.2-4
- Tweaked Spec File to a more CCux Package DB friendly Way
* Sun Apr 17 2005 Uli Schukraft <Schukraft@CCux-Linux.de> 2.4.2-3
- changed group, added "enable-final" and "enable-optimize" to ./configure-options
- tweaked spec-file
- precised %files
- added dependencies
* Sun Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> 2.4.2-2
- Tweaked Specfile, moved sysconfdir, added Man Files
* Wed Feb 23 2005 Uli Schukraft <Schukraft@ccux-linux.de> 2.4.2-1
- First package release.
